#ifndef HBLASTRECORDDETDAO_H
#define HBLASTRECORDDETDAO_H

#include "HBlastRecordDet.h"
#include <QSqlDatabase>
#include <QSqlQuery>
#include <QSqlError>
#include <QDebug>

class HBlastRecordDetDao
{
public:
    HBlastRecordDetDao(QSqlDatabase db);
    HBlastRecordDet getById(qint64 id);
    bool updateHBlastRecordDet(const HBlastRecordDet &recordDet);
    bool addHBlastRecordDet(const HBlastRecordDet &recordDet);

private:
    QSqlDatabase database;
    // 将QSqlRecord转换为HProject对象
    // QSharedPointer<HProject> recordToProject(const QSqlRecord &record);

};

#endif // HBLASTRECORDDETDAO_H
